RangeException (Java SE 21 & JDK 21)
Description: declaration: module: java.xml, package: org.w3c.dom.ranges, class: RangeException
Keywords: org.w3c.dom.ranges.RangeException class

Module java.xml
Package org.w3c.dom.ranges

# Class RangeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.w3c.dom.ranges.RangeException

All Implemented Interfaces:
  `Serializable`

public class RangeException extends RuntimeException
Range operations may throw a `RangeException` as specified in their method descriptions.

See also the Document Object Model (DOM) Level 2 Traversal and Range Specification.

Since:
  9, DOM Level 2
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final short`
  `BAD_BOUNDARYPOINTS_ERR`
  If the boundary-points of a Range do not meet specific requirements.
  `short`
  `code`
  `static final short`
  `INVALID_NODE_TYPE_ERR`
  If the container of an boundary-point of a Range is being set to either a node of an invalid type or a node with an ancestor of an invalid type.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RangeException(short code, String message)`

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### code

    public short code

  - ### BAD_BOUNDARYPOINTS_ERR

    public static final short BAD_BOUNDARYPOINTS_ERR
    If the boundary-points of a Range do not meet specific requirements.
    See Also:
      - Constant Field Values

  - ### INVALID_NODE_TYPE_ERR

    public static final short INVALID_NODE_TYPE_ERR
    If the container of an boundary-point of a Range is being set to either a node of an invalid type or a node with an ancestor of an invalid type.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RangeException

    public RangeException(short code, String message)